{{define "content"}}

<div>

    <div class="field">
        <label class="label">名称 ※必須</label>
        <div class="control">
            <input id="name" class="input" type="text" name="name" title="名称" required>
        </div>
    </div>

    <div class="field">
        <label class="label">メールアドレス ※必須</label>
        <div class="control">
            <input id="email" class="input" type="email" name="email" title="メールアドレス" required>
        </div>
    </div>

    <div class="field">
        <label class="label">ログインID ※必須</label>
        <div class="control">
            <input id="login-id" class="input" type="text" name="login-id" title="ログインID" required>
        </div>
    </div>

    <div class="field">
        <label class="label">パスワード ※必須</label>
        <div class="control">
            <input id="password" class="input" type="password" name="password" title="パスワード" required>
        </div>
    </div>

    <div class="field">
        <label class="label">パスワード確認 ※必須</label>
        <div class="control">
            <input id="password-check" class="input" type="password" name="password-check" title="パスワード確認" required>
        </div>
    </div>

    <div class="field">
        <button class="button is-link" onclick="add();">登録</button>
        <span id="form-message"></span>
    </div>

</div>

<script>
    let is_sending = false;

    function add() {
        let message = document.getElementById("form-message");
        // validation
        if (document.getElementById("name").value === "") {
            message.innerText = "名称を入力してください"
        } else if (document.getElementById("email").value === "") {
            message.innerText = "メールアドレスを入力してください"
        } else if (document.getElementById("login-id").value === "") {
            message.innerText = "ログインIDを入力してください"
        } else if (document.getElementById("password").value === "") {
            message.innerText = "パスワードを入力してください"
        } else if (document.getElementById("password").value !== document.getElementById("password-check").value) {
            message.innerText = "パスワードが確認用と一致しません"
        } else {
            let data = {};
            data["name"] = document.getElementById("name").value;
            data["email"] = document.getElementById("email").value;
            data["login_id"] = document.getElementById("login-id").value;
            data["password"] = document.getElementById("password").value;

            if (!is_sending) {
                is_sending = true;
                message.innerText = "送信中";

                let xhr = new XMLHttpRequest();
                xhr.open("POST", "/api/users");
                xhr.setRequestHeader("Content-Type", "application/json;charset=UTF-8");
                xhr.onreadystatechange = function () {
                    if (this.readyState !== 4) {
                        return 0;
                    }

                    if (this.status === 200 || this.status === 201) {
                        location.href = "/users"
                    } else {
                        is_sending = false;
                        message.innerText = this.responseText
                    }
                };
                xhr.send(JSON.stringify(data));
            }
        }
    }
</script>

{{end}}
